using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;


namespace covoiturage
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
            this.txtErreur.Visibility = Visibility.Collapsed;
        }

       private void btn_Click(object sender, RoutedEventArgs e)
        {
           modele.Chauffeur c = modele.Contexte.getLeChauffeur(this.txtUser.Text, this.txtMdp.Password);
            if ( c!= null)
            {
                NavigationService.Navigate(new Uri("/Menu.xaml", UriKind.Relative));
                PhoneApplicationService.Current.State["chauffeur"] = c;
            }
            else
            {
                this.txtErreur.Visibility = Visibility.Visible;
                this.txtMdp.Password = "";
                this.txtUser.Text = "";
            }
        }

        
    }
}